|
Menu location |
---|
Modification → Join Modify → Join |
Workbenches |
Draft, BIM |
Default shortcut |
J O |
Introduced in version |
0.18 |
See also |
Draft Split |
Description
The Draft Join command joins Draft Lines and Draft Wires into a single wire. This command is the counterpart of the Draft Split command.
Usage
- The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
- Select two or more Draft Lines and/or Draft Wires.
- There are several ways to invoke the command:
Notes
- Draft Lines and Draft Wires can also be joined with the Draft Wire command or the Draft Upgrade command.
- To join objects that are not Draft Lines or Draft Wires you can try using Draft Upgrade and/or Draft Downgrade on them one or more times first.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To join wires use the join_wires
method (introduced in 0.19) of the Draft module. This methods replaces the deprecated joinWires
method. This method returns None
.
join_wires(wires)
wires
is a list of wire objects to be joined.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(500, 500, 0)
p4 = App.Vector(0, 500, 0)
wire1 = Draft.make_wire([p1, p2])
wire2 = Draft.make_wire([p2, p3])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])
Draft.join_wires([wire1, wire3, wire2, wire4])
doc.recompute()
This page is retrieved from https://wiki.freecad.org/Draft_Join